For the seventh time, the Italian national contest (valid for the selection of the Italian IOI team) will be mirrored into an online contest. The contest is primarily intended for high school contestants, but everyone is welcome to participate! There are both easy subtasks (div2A) and very hard ones (div1D+), so it can be enjoyable both for newcomers and for very high rated contestants.

- The
**problem statements**will be available in both**English and Italian**. - Tasks will be
**IOI-like**(with graders and subtasks) and you will have**5 hours**to solve them. - The only language allowed is
**C++**. - The
**time window for the practice contest**(featuring original problems) will start on 2022 September 13th, 00:01 CET and will end on 2022 September 17th, 23:59 CET. - The
**time window for the main contest**will start on 2022 September 23th, 10:00 CET and will end on 2022 September 24th, 15:00 CET.

The **contests' timing** will be **USACO-like**: you can decide when to start your 5-hours time window (after the login), but the contest will end at the given time regardless of your time window.

#### If you want to participate, you must:

- Visit the contest website: https://mirror.oii.olinfo.it
- Click the link "register", fill out the form and then click on the register button and then "back to login"
- You can now log in with the same username and password you used to sign up
- If the login is successful you will be ready to participate, just wait for the contest to start! (And maybe save the page in your bookmarks, so that you can quickly get back to it when the contest begins)
- When the contest starts, you will see a red button. Click it when you want to start your 5 hour time window!
- Good luck and have fun!

**Ranking**: The ranking of the online contest will be available at https://mirror.oii.olinfo.it/ranking when the contest starts.

**Upsolving**: After the end of the contest, tasks will be uploaded in the Italian training website https://training.olinfo.it (localised also in English), section "task & quiz archive", where they will be available for online evaluation (after registering to the website).

The time window for the practice contest has started.

Page is down right?

Yes, there is a problem with hardware right now. The page should be back soon.

Now the page is up.

Where I can find official results for Italian high schoolers?

Official ranking (it's the practice, so don't take results seriously).

The official results will be uploaded to this website , where you can all the results of recent OIIs.

How to A???? I tried a treap of dfus of ffts but it just wont pass the last tc Someone told me to find the diameter so i just did float d = ((float)N-1f)/atan(1) but from there im stuck. Maybe i need to find the modular form of the elliptic curve of the graph but i dont know how to do it. asked for an hint and the staff replied: “sei meravigliosa come una ragazza gotica” idk what that means, mabye some italian ds

lol

as a wise man once said,

now I don't know where I'm going with this, but what I'm sure of is that franfill will win this year's OII

pre-oii doesn't lie: AlesL0 is going to win.

It actually says that lorenzoferrari is going to win.

I will win

Alenygam will win.

I didn't win but I got silver. I'm happy enough.

I won't disappoint next year ;-)

How to solve statue and sets? TheScrasse

TripletsIts easy to see that all three statues should be placed at the leaves. Then all you need to do is find a non-leaf node with (upto) 3 farthest leaf nodes.

You can do the above using brute force if you dfs from all inner nodes. But the brute force solution will TLE. So you need to solve this using dp + dfs.

Use DFS1 to store the distance to the farthest leaf node.

Use DFS2 to get the farthest leaf node from the parent and then combine it with farthest leaf nodes from children to get 3 farthest leaf nodes. 2 * (sum of distances) is the contribution of this particular node to the answer. Just max all the contributions to get the final answer.

SetsMy solution for this problem was only partially correct. :(Step 1: Find the maximum number of numbers that can be removed in one pass. This can be solved using dp.

Keep repeating Step 1, as long as you can remove some numbers. (You have > 2 values and number of numbers removed was > 0).

You first solution is not for statues, it is for triplets. Also, by my questions I meant to know full solutions

right

I have no idea whether my solution to sets is right, but it did get 100 points.

First $$$O(n^3)$$$ dp is trivial: let $$$f(l,r)$$$ be whether you can erase everything in range $$$[l,r]$$$.

Note that

`break;`

immediately.With the two optimizations, it passes $$$n=10^4$$$ in 0.3 seconds.

I'm curious about how other countries do the IOI selection, is this the definitive selection? in September?

Last year we did 7 contests (OII is the first of them).

When will the problems be uploaded to the page for upsolving?

Is it IOI???????

Duck

iam from egypt can i participate?

yep!

thanks

Is the ranklist down?

Looks like it, maybe they will only open it after the time window for a fairer mirror? or maybe they just forgot to turn it on

Fixed

Hi Valerio! Are you sure https://mirror.oii.olinfo.it/ranking is supposed to be open to all now? It contains problem difficulty spoilers...

Yes, the SC decided to leave the ranking open. (Feel free not to open it)

What strategies did adaptive judge use? Picking binary search midpoint using DP always made my results worse. I think it's too weak.

Last problem is same as https://oj.uz/problem/view/IOI16_dna lol

When the problem author asked for feedback, we thought the statement was too simple to be new, but we didn't find the problem on Google.

Hi, does anyone has a good solution for the Bus problem? I know it was easy, but i couldn’t do it right:(((

Hi! Anybody knows how solve problems coda and dna?